#%%define rctag rc3

Name:		awesome
Version:	3.4.6
Release:	1%{?rctag:.%rctag}%{?dist}
Summary:	Highly configurable, framework window manager for X. Fast, light and extensible
Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://awesome.naquadah.org
Source0:	http://awesome.naquadah.org/download/%{name}-%{version}%{?rctag:-%rctag}.tar.xz
Patch0:		awesome-3.3-libev-pkg-config.patch
# upstream post 3.4-rc2 patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# for wallpaper setting handling 
Requires:	xsri

BuildRequires:	pango-devel, cairo-devel, readline-devel, imlib2-devel
BuildRequires:	libX11-devel, libXrandr-devel, libXinerama-devel
BuildRequires:	cmake, libX11-devel, xcb-util-devel >= 0.3.4, lua-devel
BuildRequires:	dbus-devel, libev-devel, glib2-devel, gperf
BuildRequires:	doxygen, graphviz, asciidoc, xmlto, luadoc
BuildRequires:	startup-notification-devel >= 0.10, libxdg-basedir-devel
BuildRequires:	xorg-x11-proto-devel >= 7.4-14, ImageMagick

%description
Awesome is a highly configurable, next generation framework window 
manager for X. It is very fast, light and extensible.

It is primary targeted at power users, developers and any people 
dealing with every day computing tasks and want to have fine-grained 
control on its graphical environment.


%package 	doc
Summary:	API doc files
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
API doc files for awesome generated by luadoc.


%prep
%setup -q %{?rctag:-n %{name}-%{version}-%{rctag}}
# Fedora specific patch - we provide pkgconfig support for libev
# so we also provide it's usage in awesome
%patch0


%build
%cmake -DAWESOME_DOC_PATH=%{_docdir}/%{name}-%{version} -DXDG_CONFIG_DIR=%{_sysconfdir}/xdg

make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}

make DESTDIR="%{buildroot}" INSTALL="install -p" install 


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README BUGS AUTHORS LICENSE PATCHES STYLE
%dir %{_sysconfdir}/xdg/%{name}
%config(noreplace) %{_sysconfdir}/xdg/%{name}/rc.lua
%{_bindir}/awesome
%{_bindir}/awesome-client
%{_bindir}/awsetbg
%{_datadir}/%{name}
%{_mandir}/man?/*
%{_mandir}/*/man1/*
%{_mandir}/*/man5/*
%{_datadir}/xsessions/%{name}.desktop


%files doc
%defattr(0644,root,root,0755)
%doc luadoc/*


%changelog
* Fri Jul 23 2010 Michal Nowak <mnowak@redhat.com> 3.4.6-1
- 3.4.6

* Mon May 17 2010 Michal Nowak <mnowak@redhat.com> 3.4.5-1
- 3.4.5
- we ship non-English man pages with this release

* Thu Mar  4 2010 Michal Nowak <mnowak@redhat.com> 3.4.4-1
- 3.4.4

* Mon Jan  4 2010 Michal Nowak <mnowak@redhat.com> 3.4.3-1
- 3.4.3
- .in files are finally not installed anymore

* Wed Dec  2 2009 Michal Nowak <mnowak@redhat.com> 3.4.2-1
- 3.4.2
- use xz instead of bz2

* Sun Nov 22 2009 Michal Nowak <mnowak@redhat.com> 3.4.1-1
- 3.4.1

* Thu Oct 22 2009 Michal Nowak <mnowak@redhat.com> 3.4-1
- 3.4

* Mon Oct 12 2009 Michal Nowak <mnowak@redhat.com> 3.4-0.3.rc3
- 3.4~rc3

* Tue Oct  6 2009 Michal Nowak <mnowak@redhat.com> 3.4-0.2.rc2
- remove .in files in build root rather in source dir

* Mon Oct  5 2009 Michal Nowak <mnowak@redhat.com> 3.4-0.1.rc2
- 3.4-rc2

* Fri Sep 18 2009 Jens Petersen <petersen@redhat.com> - 3.3.4-3
- integrate rctag macro
- simplify removal of .in files and filelist

* Wed Sep 16 2009 Michal Nowak <mnowak@redhat.com> 3.3.4-2
- libxdg-basedir-devel as BR

* Wed Sep 16 2009 Michal Nowak <mnowak@redhat.com> 3.3.4-1
- 3.3.4
- BuildRequire: ImageMagick, libxdg-basedir

* Sat Aug 29 2009 Michal Nowak <mnowak@redhat.com> 3.3.3-1
- 3.3.3

* Sat Aug  1 2009 Michal Nowak <mnowak@redhat.com> 3.3.2-1
- 3.3.2

* Mon Jun 22 2009 Michal Nowak <mnowak@redhat.com> 3.3.1-1
- 3.3.1

* Fri Jun 12 2009 Michal Nowak <mnowak@redhat.com> 3.3-1
- 3.3

* Thu May 28 2009 Michal Nowak <mnowak@redhat.com> 3.3-0.4.rc4
- 3.3-rc4

* Tue May 19 2009 Michal Nowak <mnowak@redhat.com> 3.3-0.3.rc3
- 3.3-rc3

* Thu May 13 2009 Michal Nowak <mnowak@redhat.com> 3.3-0.2.rc2
- 3.3-rc2

* Thu May  7 2009 Michal Nowak <mnowak@redhat.com> 3.3-0.1.rc1
- 3.3-rc1

* Mon Mar 16 2009 Michal Nowak <mnowak@redhat.com> 3.2-1
- 3.2

* Mon Mar  2 2009 Michal Nowak <mnowak@redhat.com> 3.2-0.2.rc4
- 3.2-rc4

* Fri Feb 20 2009 Michal Nowak <mnowak@redhat.com> 3.2-0.1.rc3
- 3.2-rc3
- more docs files

* Tue Jan 13 2009 Michal Nowak <mnowak@redhat.com> 3.1.1-1
- 3.1.1

* Wed Dec 24 2008 Michal Nowak <mnowak@redhat.com> 3.1-2
- minor SPEC-file changes

* Sun Dec 14 2008 Michal Nowak <mnowak@redhat.com> 3.1-1
- 3.1

* Fri Sep 19 2008 Michal Nowak <mnowak@redhat.com> 3.0-1
- bump to 3.0

* Sat Sep 06 2008 Michal Nowak <mnowak@redhat.com> 3.0-0.8.rc6
- bump to RC6
- /usr/share/awesome/themes/default is now, again, config file

* Fri Aug 29 2008 Michal Nowak <mnowak@redhat.com> 3.0-0.7.rc5
- bump to RC5

* Sun Aug 24 2008 Michal Nowak <mnowak@redhat.com> 3.0-0.6.rc4
- bump to RC4
- rejecting awesome-3.0-rc3-enhance-wallpaper-cmd.patch -- solved
  upstream via awsetbg script
- using imlib2 instead of GTK+ pixbuf

* Mon Aug 18 2008 Michal Nowak <mnowak@redhat.com> 3.0-0.5.rc3
- buildepend on readline-devel, glib2-devel, gtk2-devel, luadoc
- install via "install -p"
- %%{_datadir}/%%{name}/themes/default is not a config file no more,
  having config file in /usr is kinda weird
- added sub-package awesome-doc to handle API doc files

* Sat Aug 16 2008 Michal Nowak <mnowak@redhat.com> 3.0-0.4.rc3
- awesome-3.0-rc3-enhance-wallpaper-cmd.patch: enhance setting of wallpaper
- new dep: xsri
- %%{_datadir}/%%{name}/themes/default is now handled configfile

* Thu Aug 15 2008 Michal Nowak <mnowak@redhat.com> 3.0-0.3.rc3
- bump to RC3
- xsession desktop file is now provided by upstream
- dumped patches
	awesome-3.0-rc1-fedora-doc-path.patch
	awesome-3.0-rc2-fedora-xsession-path.patch
  both are now in upstream
- cmake is now need >2.6 (present in rawhide)

* Thu Aug 11 2008 Michal Nowak <mnowak@redhat.com> 3.0-0.2.rc2
- bump to RC2

* Thu Aug 04 2008 Michal Nowak <mnowak@redhat.com> 3.0-0.1.rc1
- bump to awesome v3-the new generation

* Thu Jul 28 2008 Michal Nowak <mnowak@redhat.com> 2.3.3-1
- version bump fixes two bugs
- give floating dialogs of maximized windows focus
- awesomerc: fix xterm -e in case of others terms

* Thu Jul 17 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-7
- after some discussion I removed explicit dependency on libconfuse >= 2.6;
  the thing is that awesome runs fine with libconfuse-2.5 but does not 
  build with < 2.6. Some build-time hack might be possible but I am obviously
  not going to be involved in this auto*magic. (thx Hans Ulrich Niedermann)

* Wed Jul 16 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-6
- added libXinerama-devel, hopefully last BuildRequire

* Wed Jul 16 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-5
- by mistake I removed BuildRequire on libconfuse-devel, 
  now is back again (thanks Mamoru Tasaka)

* Tue Jul 15 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-4
- small polishing in %%doc line

* Mon Jul 14 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-3
- removed redundant libconfuse-devel in BuildRequires
- %%{__install} .desktop file instead of install via desktop-file-install
- changed the license to GPLv2+
- changes in .desktop file
- updated --docdir to include %%{version} too

* Thu Jul 10 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-2
- bumped libconfuse BuildDependency to insist on version 2.6
- changed buildroot to not to have random one
- enhanced %%description

* Thu Jul 3 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-1
- version bump
- add libconfuse-devel as a build dep.
- removed Fedora as a vendor from .desktop file

* Sun Jun 22 2008 Michal Nowak <mnowak@redhat.com> 2.3.1-1
- Initial package
